Bug 67077 - Erratic mouse/keyboard behavior on IBM ThinkPad R31
Erratic mouse/keyboard behavior on IBM ThinkPad R31
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-19 14:54 EDT by Damon T. Miller
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damon T. Miller 2002-06-19 14:54:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
I've just installed 7.3 onto a brand new IBM R31 laptop, and I'm having the
rather disappointing problem of being largely unable to type or use the built-in
pointer.  While I will generally admit that my typing skills leave something be
desired, the problem here is not (entirely) my abilities.  Rather, it seems IBM
has done something "non-standard" with the keyboard (and "eraser" pointer)
hardware so as to make the "standard" driver behave erratically.

Specifically, when moving the pointer for more than one or two seconds, a sudden
burst of random clicks and/or pointer motion occurs; in other words, it stops
moving as I instruct it to and instead goes momentarily insane, clicking,
right-clicking, and moving all over the screen.

The keyboard problem is less obtrusive, but it remains a serious impediment to
functional typing:  Tabs are inserted randomly, keys are occasionally "dropped",
enter is inserted every so often--basic reliability problems appear quite
frequently.

These problems disappear entirely when using an external USB keyboard and mouse.

Is there an updated driver I could use, or perhaps some reverse-engineering I
could do to provide information for updating the existing driver to support this
hardware?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Boot Linux on an IBM ThinkPad R31.  :)
2.  Use the keyboard or mouse at any time.
	

Actual Results:  Erratic keyboard and mouse behavior at all times.

Expected Results:  "Normal" keyboard and mouse behavior at all times.  :)

Additional info:

The full model number is:  IBM ThinkPad R31 2656-E4U
Comment 1 Damon T. Miller 2002-06-27 16:06:17 EDT
Not sure if anyone is looking at this (and if so, if they are interested), but
the problem appears to be affected by the pointer embedded in the keyboard
somehow.  When I disable this little device in the BIOS, the keyboard problem
gets a bit better, but does not disappear entirely.  To attempt to put this in
quantitative terms, I'd say that where previously one in ten keystrokes resulted
in spurrious "ESC" scancodes being generated, after disabling the built-in
pointer, approximately one in twenty is erroneous.

(The scancodes were determined via "showkey".)

Anything I can do?  I REALLY don't want to install Windoze on this box, but if I
literally cannot type, I will be left with no alternative.  (An external
keyboard is rather inconvenient when crammed into a commercial jet, a situation
I find myself in at least twice per week.)

Damon
Comment 2 Damon T. Miller 2002-07-08 18:50:11 EDT
This is caused by some APM incompatibility, and disappears completely when I
kill the battery status monitor (battstat_applet).  Resolution courtesy of IBM's
online support forums.

Damon
Comment 3 Bugzilla owner 2004-09-30 11:39:41 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.